library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
entity blackhole_rom is

  port (
  clk : in std_logic;
  h_addr: in integer; 
  v_addr: in integer;
  dataout: out unsigned (3 downto 0)
  );
  end blackhole_rom;
architecture rom of blackhole_rom is
type ball_row is array(0 to 29) of unsigned(3 downto 0);
type ball_column is array(0 to 29) of ball_row; 
constant ball : ball_column:=(
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"1",X"1",X"1",X"1",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"2",X"2",X"3",X"4",X"4",X"4",X"3",X"2",X"1",X"1",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"2",X"4",X"5",X"5",X"6",X"5",X"5",X"5",X"4",X"4",X"4",X"3",X"1",X"1",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"1",X"3",X"5",X"7",X"8",X"7",X"6",X"6",X"6",X"5",X"5",X"5",X"4",X"4",X"3",X"1",X"1",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"1",X"1",X"3",X"6",X"9",X"9",X"7",X"7",X"7",X"6",X"6",X"6",X"6",X"5",X"5",X"4",X"4",X"3",X"1",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"1",X"2",X"3",X"5",X"8",X"A",X"7",X"7",X"7",X"7",X"7",X"7",X"8",X"7",X"6",X"6",X"5",X"4",X"4",X"3",X"1",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"1",X"2",X"4",X"8",X"A",X"8",X"7",X"7",X"8",X"8",X"8",X"8",X"8",X"7",X"7",X"7",X"7",X"5",X"4",X"3",X"2",X"1",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"1",X"2",X"3",X"6",X"A",X"8",X"7",X"7",X"9",X"9",X"9",X"C",X"D",X"D",X"D",X"C",X"8",X"7",X"7",X"6",X"4",X"3",X"1",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"1",X"3",X"4",X"8",X"A",X"8",X"7",X"8",X"9",X"C",X"D",X"C",X"C",X"C",X"C",X"D",X"D",X"9",X"7",X"7",X"5",X"4",X"2",X"1",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"2",X"3",X"4",X"9",X"A",X"8",X"8",X"8",X"C",X"D",X"9",X"9",X"8",X"9",X"C",X"9",X"C",X"D",X"9",X"8",X"6",X"4",X"3",X"1",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"2",X"4",X"5",X"A",X"9",X"8",X"8",X"9",X"D",X"C",X"8",X"7",X"8",X"D",X"D",X"C",X"9",X"C",X"C",X"8",X"7",X"5",X"3",X"2",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"2",X"4",X"5",X"9",X"9",X"8",X"9",X"C",X"D",X"8",X"8",X"B",X"E",X"F",X"D",X"D",X"C",X"9",X"C",X"9",X"7",X"6",X"3",X"2",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"2",X"4",X"5",X"9",X"9",X"8",X"9",X"C",X"D",X"8",X"B",X"F",X"F",X"E",X"A",X"D",X"C",X"9",X"C",X"C",X"7",X"5",X"4",X"2",X"1",X"0",X"0"),
(X"0",X"0",X"0",X"2",X"4",X"5",X"A",X"9",X"8",X"9",X"C",X"D",X"A",X"E",X"F",X"F",X"B",X"9",X"D",X"C",X"9",X"9",X"C",X"8",X"5",X"4",X"2",X"1",X"0",X"0"),
(X"0",X"0",X"0",X"2",X"4",X"5",X"7",X"C",X"9",X"8",X"9",X"C",X"D",X"F",X"E",X"B",X"8",X"8",X"D",X"C",X"9",X"9",X"C",X"8",X"5",X"4",X"2",X"1",X"0",X"0"),
(X"0",X"0",X"0",X"1",X"3",X"5",X"6",X"A",X"C",X"8",X"9",X"C",X"D",X"D",X"8",X"8",X"8",X"9",X"D",X"9",X"8",X"9",X"C",X"8",X"5",X"4",X"2",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"1",X"3",X"5",X"5",X"6",X"C",X"C",X"9",X"9",X"9",X"9",X"8",X"8",X"9",X"D",X"C",X"8",X"8",X"9",X"C",X"7",X"5",X"3",X"1",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"2",X"4",X"6",X"6",X"7",X"C",X"C",X"C",X"9",X"9",X"9",X"C",X"D",X"D",X"9",X"8",X"8",X"9",X"A",X"6",X"5",X"3",X"1",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"1",X"3",X"4",X"6",X"6",X"7",X"9",X"C",X"C",X"C",X"D",X"D",X"9",X"8",X"9",X"8",X"8",X"C",X"A",X"5",X"5",X"2",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"1",X"3",X"4",X"5",X"6",X"7",X"7",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"7",X"9",X"C",X"6",X"4",X"4",X"1",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"1",X"2",X"3",X"4",X"5",X"6",X"7",X"7",X"8",X"8",X"8",X"7",X"6",X"7",X"8",X"A",X"7",X"4",X"4",X"2",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"3",X"3",X"4",X"5",X"5",X"6",X"6",X"6",X"6",X"6",X"7",X"7",X"8",X"7",X"4",X"3",X"2",X"1",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"2",X"3",X"4",X"4",X"4",X"5",X"5",X"5",X"6",X"6",X"6",X"6",X"4",X"4",X"3",X"1",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"1",X"2",X"3",X"3",X"4",X"4",X"5",X"5",X"5",X"4",X"3",X"3",X"4",X"4",X"1",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"2",X"2",X"3",X"3",X"4",X"4",X"3",X"3",X"2",X"2",X"3",X"4",X"1",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"2",X"2",X"3",X"3",X"3",X"3",X"3",X"2",X"2",X"3",X"1",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"1",X"1",X"1",X"1",X"1",X"0",X"1",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0"),
(X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0",X"0")
);

begin 
 process (clk)
begin
if rising_edge(clk) then
dataout<= ball(h_addr)(v_addr);
end if;
end process;	
end rom; 
