library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
entity bug_green2_rom is

  port (
  clk : in std_logic;
  h_addr: in integer; 
  v_addr: in integer;
  dataout: out unsigned (3 downto 0)
  );
  end bug_green2_rom;
architecture rom of bug_green2_rom is
	type bug_green2_row is array(0 to 29) of unsigned(3 downto 0);
	type bug_green2_column is array(0 to 29) of bug_green2_row; 
constant bug_green2 : bug_green2_column:=(
(X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"d",X"5",X"3",X"3",X"3",X"4",X"7",X"b",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"f",X"f",X"d",X"d",X"d",X"d",X"b",X"7",X"4",X"4",X"5",X"8",X"8",X"5",X"4",X"4",X"4",X"5",X"a",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"d",X"7",X"4",X"4",X"4",X"4",X"4",X"4",X"4",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"4",X"2",X"3",X"d",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"7",X"3",X"8",X"c",X"c",X"c",X"c",X"c",X"9",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"2",X"7",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"5",X"4",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"c",X"c",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"3",X"4",X"5",X"7",X"f",X"f",X"f"),
(X"a",X"3",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"c",X"9",X"7",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"4",X"3",X"d",X"f"),
(X"5",X"8",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"1",X"1",X"e",X"c",X"9",X"8",X"8",X"8",X"8",X"8",X"8",X"9",X"4",X"4",X"f"),
(X"4",X"9",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"0",X"a",X"e",X"e",X"9",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"3",X"7"),
(X"4",X"5",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"0",X"a",X"e",X"e",X"c",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"3",X"2"),
(X"7",X"2",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"0",X"e",X"e",X"e",X"c",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"3",X"2"),
(X"f",X"4",X"5",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"1",X"1",X"e",X"e",X"e",X"c",X"8",X"8",X"8",X"8",X"8",X"8",X"8",X"3",X"4"),
(X"f",X"7",X"5",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"e",X"e",X"e",X"e",X"9",X"8",X"8",X"8",X"8",X"8",X"8",X"5",X"3",X"d"),
(X"7",X"8",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"8",X"8",X"8",X"8",X"8",X"3",X"a",X"f"),
(X"3",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"6",X"7",X"8",X"8",X"8",X"4",X"3",X"f",X"f"),
(X"7",X"3",X"9",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"1",X"1",X"8",X"8",X"8",X"8",X"3",X"5",X"f"),
(X"f",X"7",X"3",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"1",X"1",X"8",X"8",X"8",X"9",X"4",X"3",X"f"),
(X"d",X"3",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"0",X"8",X"8",X"8",X"8",X"4",X"4",X"d",X"f"),
(X"5",X"8",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"6",X"0",X"7",X"8",X"8",X"8",X"8",X"3",X"5",X"f",X"f"),
(X"3",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"6",X"a",X"e",X"8",X"8",X"8",X"8",X"9",X"3",X"4",X"f"),
(X"4",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"a",X"e",X"e",X"e",X"e",X"e",X"c",X"8",X"8",X"8",X"8",X"8",X"8",X"3",X"7"),
(X"4",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"0",X"a",X"e",X"e",X"e",X"e",X"c",X"9",X"8",X"8",X"8",X"8",X"8",X"4",X"2"),
(X"3",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"1",X"1",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"8",X"8",X"8",X"8",X"4",X"2"),
(X"b",X"3",X"9",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"0",X"e",X"e",X"e",X"e",X"e",X"e",X"c",X"8",X"8",X"8",X"8",X"3",X"2"),
(X"f",X"d",X"7",X"4",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"0",X"e",X"e",X"e",X"e",X"e",X"e",X"c",X"8",X"8",X"9",X"4",X"3",X"d"),
(X"f",X"f",X"7",X"3",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"1",X"6",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"8",X"9",X"4",X"3",X"d",X"f"),
(X"f",X"d",X"3",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"6",X"e",X"e",X"e",X"e",X"e",X"c",X"c",X"8",X"8",X"3",X"3",X"f",X"f",X"f"),
(X"f",X"a",X"3",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"8",X"8",X"8",X"5",X"3",X"a",X"f",X"f"),
(X"f",X"b",X"3",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"c",X"8",X"8",X"8",X"9",X"8",X"2",X"b",X"f"),
(X"f",X"f",X"5",X"8",X"e",X"c",X"e",X"c",X"c",X"9",X"9",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"4",X"8",X"8",X"8",X"4",X"2",X"d",X"f"),
(X"f",X"f",X"f",X"b",X"7",X"7",X"a",X"c",X"7",X"a",X"a",X"7",X"5",X"9",X"9",X"c",X"c",X"9",X"9",X"8",X"4",X"7",X"7",X"5",X"5",X"5",X"7",X"d",X"f",X"f")
);
begin 
 process (clk)
	begin
		if rising_edge(clk) then
				dataout<= bug_green2(h_addr)(v_addr);
		end if;
	end process;	
end rom; 
