library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
entity bug_pink2_rom is

  port (
  clk : in std_logic;
  h_addr: in integer; 
  v_addr: in integer;
  dataout: out unsigned (3 downto 0)
  );
  end bug_pink2_rom;
architecture rom of bug_pink2_rom is
	type bug_pink2_row is array(0 to 29) of unsigned(3 downto 0);
	type bug_pink2_column is array(0 to 29) of bug_pink2_row; 
constant bug_pink2 : bug_pink2_column:=(


(X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"a",X"4",X"3",X"3",X"3",X"4",X"6",X"a",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"d",X"e",X"a",X"6",X"4",X"6",X"8",X"8",X"8",X"8",X"6",X"4",X"4",X"6",X"c",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"e",X"6",X"4",X"4",X"4",X"4",X"4",X"4",X"4",X"9",X"9",X"9",X"9",X"9",X"9",X"9",X"9",X"8",X"4",X"3",X"4",X"e",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"6",X"4",X"9",X"c",X"c",X"c",X"c",X"c",X"9",X"9",X"8",X"8",X"9",X"9",X"8",X"9",X"8",X"8",X"9",X"9",X"9",X"3",X"6",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"4",X"4",X"d",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"c",X"8",X"8",X"8",X"8",X"9",X"9",X"9",X"9",X"9",X"8",X"3",X"4",X"4",X"9",X"f",X"f",X"f"),
(X"9",X"3",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"9",X"6",X"9",X"8",X"8",X"8",X"9",X"9",X"9",X"8",X"8",X"8",X"4",X"4",X"f",X"f"),
(X"4",X"9",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"1",X"1",X"d",X"c",X"9",X"8",X"9",X"8",X"9",X"9",X"9",X"9",X"4",X"4",X"f"),
(X"4",X"9",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"1",X"d",X"d",X"d",X"9",X"8",X"9",X"8",X"8",X"8",X"9",X"8",X"3",X"c"),
(X"4",X"6",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"1",X"d",X"d",X"d",X"c",X"8",X"9",X"9",X"9",X"9",X"9",X"8",X"3",X"3"),
(X"6",X"3",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"a",X"1",X"d",X"d",X"d",X"c",X"8",X"9",X"9",X"9",X"8",X"9",X"9",X"3",X"3"),
(X"f",X"4",X"6",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"1",X"7",X"d",X"d",X"d",X"c",X"8",X"9",X"9",X"8",X"8",X"9",X"9",X"3",X"6"),
(X"f",X"6",X"6",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"a",X"d",X"d",X"d",X"d",X"9",X"8",X"8",X"8",X"8",X"8",X"9",X"6",X"3",X"f"),
(X"6",X"6",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"a",X"a",X"a",X"a",X"a",X"6",X"6",X"6",X"8",X"9",X"9",X"3",X"c",X"f"),
(X"3",X"c",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"e",X"7",X"0",X"5",X"5",X"5",X"5",X"5",X"5",X"0",X"6",X"9",X"4",X"4",X"f",X"f"),
(X"6",X"3",X"c",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"e",X"1",X"2",X"b",X"b",X"b",X"b",X"b",X"b",X"0",X"6",X"8",X"9",X"3",X"6",X"f"),
(X"f",X"6",X"3",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"e",X"1",X"2",X"b",X"b",X"b",X"b",X"b",X"b",X"0",X"8",X"8",X"9",X"4",X"4",X"f"),
(X"e",X"3",X"c",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"e",X"1",X"2",X"b",X"b",X"b",X"b",X"b",X"b",X"0",X"8",X"9",X"4",X"4",X"f",X"f"),
(X"6",X"6",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"7",X"7",X"1",X"2",X"2",X"2",X"2",X"1",X"9",X"9",X"3",X"6",X"f",X"f"),
(X"4",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"8",X"8",X"9",X"9",X"9",X"3",X"4",X"f"),
(X"4",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"8",X"9",X"9",X"9",X"9",X"8",X"3",X"a"),
(X"4",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"a",X"1",X"d",X"d",X"d",X"d",X"d",X"c",X"9",X"8",X"9",X"9",X"8",X"9",X"4",X"4"),
(X"3",X"c",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"e",X"7",X"7",X"e",X"d",X"d",X"d",X"d",X"d",X"9",X"8",X"9",X"9",X"9",X"3",X"3"),
(X"a",X"3",X"c",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"a",X"1",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"8",X"9",X"9",X"8",X"3",X"4"),
(X"f",X"e",X"6",X"4",X"c",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"a",X"1",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"8",X"9",X"9",X"4",X"3",X"e"),
(X"f",X"f",X"6",X"3",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"a",X"1",X"7",X"d",X"d",X"d",X"d",X"d",X"d",X"9",X"8",X"9",X"4",X"3",X"e",X"f"),
(X"f",X"e",X"3",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"a",X"7",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"9",X"8",X"3",X"4",X"f",X"f",X"f"),
(X"f",X"c",X"4",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"9",X"8",X"9",X"8",X"6",X"4",X"c",X"f",X"f"),
(X"f",X"a",X"3",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"9",X"9",X"9",X"9",X"8",X"3",X"e",X"f"),
(X"f",X"f",X"6",X"9",X"d",X"d",X"d",X"d",X"c",X"c",X"9",X"c",X"d",X"e",X"d",X"d",X"d",X"d",X"e",X"e",X"d",X"c",X"6",X"8",X"8",X"8",X"4",X"3",X"e",X"f"),
(X"f",X"f",X"f",X"a",X"6",X"6",X"c",X"9",X"6",X"9",X"c",X"6",X"6",X"9",X"c",X"c",X"c",X"c",X"9",X"6",X"4",X"6",X"6",X"4",X"6",X"6",X"6",X"e",X"f",X"f")


);
begin 
 process (clk)
	begin
		if rising_edge(clk) then
				dataout<= bug_pink2(h_addr)(v_addr);
		end if;
	end process;	
end rom; 
