library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
entity bug_purple2_rom is

  port (
  clk : in std_logic;
  h_addr: in integer; 
  v_addr: in integer;
  dataout: out unsigned (3 downto 0)
  );
  end bug_purple2_rom;
architecture rom of bug_purple2_rom is
	type bug_purple2_row is array(0 to 29) of unsigned(3 downto 0);
	type bug_purple2_column is array(0 to 29) of bug_purple2_row; 
constant bug_purple2 : bug_purple2_column:=(


(X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"c",X"3",X"2",X"2",X"2",X"3",X"6",X"b",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"f",X"f",X"d",X"c",X"c",X"d",X"c",X"7",X"3",X"6",X"6",X"6",X"6",X"6",X"6",X"6",X"3",X"6",X"8",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"d",X"6",X"3",X"3",X"3",X"3",X"3",X"3",X"3",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"6",X"2",X"2",X"d",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"6",X"3",X"7",X"b",X"b",X"b",X"b",X"8",X"8",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"2",X"6",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"3",X"3",X"d",X"d",X"c",X"c",X"c",X"c",X"d",X"c",X"b",X"8",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"3",X"3",X"3",X"7",X"f",X"f",X"f"),
(X"8",X"2",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"b",X"7",X"4",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"6",X"3",X"2",X"e",X"f"),
(X"3",X"7",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"5",X"5",X"c",X"b",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"8",X"3",X"3",X"f"),
(X"3",X"8",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"1",X"c",X"c",X"c",X"8",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"2",X"7"),
(X"3",X"6",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"1",X"a",X"c",X"d",X"b",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"2",X"2"),
(X"7",X"2",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"a",X"1",X"d",X"c",X"c",X"b",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"2",X"2"),
(X"f",X"3",X"6",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"5",X"5",X"d",X"c",X"d",X"8",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"2",X"6"),
(X"f",X"6",X"6",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"a",X"c",X"c",X"a",X"a",X"4",X"4",X"4",X"7",X"7",X"7",X"7",X"6",X"2",X"e"),
(X"7",X"6",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"a",X"1",X"e",X"1",X"9",X"9",X"0",X"6",X"7",X"7",X"2",X"8",X"f"),
(X"2",X"b",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"1",X"9",X"e",X"5",X"f",X"9",X"0",X"7",X"3",X"2",X"f",X"f"),
(X"7",X"2",X"8",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"5",X"5",X"f",X"5",X"e",X"e",X"0",X"7",X"7",X"2",X"6",X"f"),
(X"f",X"7",X"2",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"5",X"5",X"f",X"5",X"9",X"e",X"0",X"7",X"8",X"3",X"3",X"f"),
(X"e",X"2",X"b",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"5",X"5",X"f",X"5",X"9",X"e",X"0",X"7",X"3",X"3",X"e",X"f"),
(X"6",X"6",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"1",X"9",X"f",X"1",X"e",X"9",X"0",X"7",X"2",X"6",X"f",X"f"),
(X"3",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"5",X"5",X"9",X"1",X"9",X"1",X"4",X"7",X"7",X"3",X"3",X"f"),
(X"3",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"a",X"c",X"c",X"c",X"c",X"a",X"a",X"a",X"4",X"4",X"7",X"7",X"7",X"7",X"2",X"8"),
(X"3",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"a",X"1",X"a",X"c",X"c",X"c",X"d",X"c",X"7",X"7",X"7",X"7",X"7",X"7",X"3",X"3"),
(X"2",X"b",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"5",X"5",X"d",X"c",X"c",X"c",X"c",X"c",X"7",X"7",X"7",X"7",X"7",X"3",X"2"),
(X"b",X"2",X"8",X"d",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"a",X"1",X"d",X"c",X"c",X"c",X"c",X"d",X"b",X"7",X"7",X"7",X"7",X"2",X"2"),
(X"f",X"e",X"6",X"3",X"8",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"a",X"1",X"d",X"c",X"c",X"c",X"c",X"c",X"b",X"7",X"7",X"7",X"3",X"2",X"d"),
(X"f",X"f",X"7",X"2",X"b",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"a",X"5",X"a",X"d",X"c",X"c",X"c",X"c",X"d",X"8",X"7",X"7",X"3",X"2",X"d",X"f"),
(X"f",X"d",X"2",X"b",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"a",X"a",X"d",X"c",X"c",X"c",X"c",X"c",X"8",X"7",X"7",X"2",X"3",X"f",X"f",X"f"),
(X"f",X"8",X"3",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"c",X"c",X"c",X"c",X"c",X"7",X"6",X"7",X"7",X"6",X"3",X"8",X"f",X"f"),
(X"f",X"c",X"2",X"d",X"c",X"c",X"c",X"c",X"c",X"d",X"d",X"d",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"c",X"d",X"b",X"7",X"7",X"7",X"7",X"6",X"2",X"d",X"f"),
(X"f",X"f",X"6",X"7",X"c",X"c",X"c",X"c",X"c",X"8",X"7",X"b",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"8",X"6",X"6",X"6",X"6",X"3",X"2",X"d",X"f"),
(X"f",X"f",X"f",X"b",X"7",X"6",X"8",X"8",X"7",X"7",X"8",X"6",X"6",X"7",X"8",X"b",X"b",X"8",X"8",X"6",X"3",X"6",X"6",X"6",X"6",X"6",X"7",X"d",X"f",X"f")


);
begin 
 process (clk)
	begin
		if rising_edge(clk) then
				dataout<= bug_purple2(h_addr)(v_addr);
		end if;
	end process;	
end rom; 
