library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
entity bug_yellow2_rom is

  port (
  clk : in std_logic;
  h_addr: in integer; 
  v_addr: in integer;
  dataout: out unsigned (3 downto 0)
  );
  end bug_yellow2_rom;
architecture rom of bug_yellow2_rom is
	type bug_yellow2_row is array(0 to 29) of unsigned(3 downto 0);
	type bug_yellow2_column is array(0 to 29) of bug_yellow2_row; 
constant bug_yellow2 : bug_yellow2_column:=(

(X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"9",X"6",X"3",X"3",X"3",X"6",X"7",X"c",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"f",X"f",X"b",X"b",X"9",X"b",X"9",X"6",X"6",X"6",X"7",X"7",X"7",X"7",X"6",X"6",X"6",X"6",X"a",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"b",X"7",X"6",X"3",X"6",X"6",X"6",X"3",X"6",X"8",X"8",X"8",X"7",X"8",X"8",X"8",X"8",X"7",X"6",X"3",X"3",X"b",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"7",X"3",X"7",X"a",X"c",X"c",X"a",X"a",X"8",X"8",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"8",X"8",X"3",X"7",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"6",X"6",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"c",X"8",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"3",X"6",X"6",X"8",X"f",X"f",X"f"),
(X"8",X"3",X"e",X"e",X"d",X"d",X"e",X"e",X"d",X"d",X"e",X"e",X"e",X"a",X"8",X"5",X"8",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"6",X"3",X"b",X"f"),
(X"6",X"7",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"d",X"e",X"e",X"d",X"1",X"1",X"d",X"a",X"8",X"7",X"7",X"7",X"7",X"7",X"8",X"8",X"6",X"6",X"f"),
(X"6",X"8",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"d",X"d",X"e",X"0",X"9",X"e",X"d",X"8",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"3",X"5"),
(X"6",X"6",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"d",X"e",X"0",X"9",X"d",X"e",X"a",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"3",X"3"),
(X"7",X"3",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"0",X"e",X"e",X"e",X"c",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"3",X"3"),
(X"f",X"3",X"7",X"e",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"1",X"1",X"e",X"d",X"e",X"a",X"7",X"7",X"7",X"7",X"7",X"7",X"7",X"3",X"6"),
(X"f",X"6",X"6",X"e",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"e",X"d",X"e",X"e",X"8",X"7",X"7",X"7",X"7",X"7",X"8",X"7",X"3",X"b"),
(X"8",X"7",X"e",X"d",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"c",X"8",X"7",X"7",X"7",X"7",X"8",X"3",X"8",X"f"),
(X"3",X"a",X"e",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"4",X"1",X"8",X"7",X"7",X"8",X"6",X"3",X"f",X"f"),
(X"7",X"3",X"8",X"d",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"4",X"2",X"f",X"2",X"5",X"7",X"7",X"7",X"7",X"3",X"6",X"f"),
(X"f",X"7",X"3",X"c",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"4",X"0",X"f",X"f",X"2",X"5",X"7",X"7",X"7",X"8",X"6",X"3",X"f"),
(X"b",X"3",X"c",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"4",X"0",X"2",X"0",X"5",X"7",X"7",X"8",X"6",X"6",X"b",X"f"),
(X"6",X"7",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"e",X"e",X"4",X"4",X"7",X"7",X"7",X"7",X"3",X"6",X"f",X"f"),
(X"3",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"c",X"7",X"7",X"7",X"7",X"8",X"3",X"6",X"f"),
(X"6",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"9",X"9",X"e",X"e",X"e",X"d",X"e",X"a",X"7",X"7",X"7",X"7",X"7",X"7",X"3",X"8"),
(X"6",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"9",X"0",X"9",X"e",X"e",X"e",X"e",X"c",X"8",X"7",X"7",X"7",X"7",X"8",X"3",X"3"),
(X"3",X"a",X"e",X"d",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"1",X"1",X"e",X"e",X"e",X"e",X"e",X"d",X"8",X"7",X"7",X"7",X"8",X"3",X"3"),
(X"c",X"3",X"8",X"e",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"9",X"1",X"e",X"e",X"e",X"e",X"d",X"e",X"a",X"7",X"7",X"7",X"7",X"3",X"3"),
(X"f",X"b",X"6",X"6",X"a",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"0",X"e",X"e",X"e",X"d",X"d",X"e",X"a",X"7",X"7",X"8",X"6",X"3",X"b"),
(X"f",X"f",X"5",X"3",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"9",X"1",X"4",X"e",X"e",X"e",X"e",X"e",X"e",X"8",X"7",X"8",X"6",X"3",X"b",X"f"),
(X"f",X"b",X"3",X"c",X"e",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"9",X"4",X"e",X"e",X"e",X"e",X"e",X"c",X"a",X"7",X"7",X"3",X"3",X"f",X"f",X"f"),
(X"f",X"a",X"6",X"e",X"d",X"e",X"e",X"e",X"e",X"d",X"d",X"d",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"8",X"7",X"7",X"7",X"7",X"3",X"8",X"f",X"f"),
(X"f",X"9",X"3",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"e",X"a",X"7",X"8",X"7",X"8",X"7",X"3",X"b",X"f"),
(X"f",X"f",X"6",X"7",X"d",X"d",X"d",X"d",X"c",X"a",X"8",X"c",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"a",X"6",X"7",X"7",X"7",X"6",X"3",X"b",X"f"),
(X"f",X"f",X"f",X"a",X"7",X"7",X"a",X"8",X"7",X"8",X"8",X"6",X"7",X"8",X"a",X"a",X"a",X"a",X"8",X"7",X"6",X"6",X"7",X"6",X"6",X"6",X"7",X"b",X"f",X"f")


);
begin 
 process (clk)
	begin
		if rising_edge(clk) then
				dataout<= bug_yellow2(h_addr)(v_addr);
		end if;
	end process;	
end rom; 
