library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
entity loselife_rom is

  port (
  clk : in std_logic;
  h_addr: in integer; 
  v_addr: in integer;
  dataout: out unsigned (3 downto 0)
  );
  end loselife_rom;
architecture rom of loselife_rom is
type ball_row is array(0 to 21) of unsigned(3 downto 0);
type ball_column is array(0 to 14) of ball_row; 
constant ball : ball_column:=(
(X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"E",X"E",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F"),
(X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"E",X"B",X"9",X"8",X"8",X"C",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F"),
(X"F",X"F",X"F",X"F",X"F",X"F",X"E",X"A",X"8",X"9",X"B",X"C",X"C",X"9",X"C",X"F",X"F",X"F",X"F",X"F",X"F",X"F"),
(X"F",X"F",X"F",X"F",X"F",X"A",X"7",X"A",X"C",X"1",X"C",X"2",X"C",X"C",X"8",X"F",X"F",X"F",X"F",X"F",X"F",X"F"),
(X"F",X"F",X"F",X"C",X"8",X"9",X"C",X"C",X"C",X"0",X"1",X"2",X"C",X"C",X"7",X"D",X"F",X"F",X"F",X"F",X"F",X"F"),
(X"F",X"E",X"9",X"9",X"C",X"C",X"C",X"C",X"C",X"6",X"0",X"C",X"C",X"C",X"8",X"8",X"D",X"C",X"B",X"A",X"B",X"F"),
(X"F",X"9",X"B",X"D",X"C",X"C",X"C",X"C",X"C",X"C",X"6",X"4",X"6",X"C",X"C",X"8",X"8",X"9",X"A",X"B",X"8",X"B"),
(X"9",X"9",X"D",X"C",X"C",X"C",X"C",X"C",X"C",X"C",X"1",X"5",X"3",X"6",X"C",X"C",X"D",X"C",X"C",X"D",X"A",X"9"),
(X"8",X"A",X"D",X"C",X"C",X"C",X"C",X"C",X"C",X"C",X"1",X"5",X"3",X"C",X"C",X"C",X"C",X"C",X"C",X"C",X"7",X"E"),
(X"E",X"A",X"8",X"7",X"7",X"8",X"8",X"B",X"C",X"C",X"4",X"1",X"6",X"C",X"C",X"C",X"C",X"C",X"C",X"7",X"C",X"F"),
(X"F",X"F",X"E",X"D",X"E",X"F",X"D",X"9",X"C",X"6",X"1",X"C",X"C",X"C",X"C",X"C",X"D",X"A",X"7",X"C",X"F",X"F"),
(X"F",X"F",X"F",X"F",X"F",X"F",X"E",X"8",X"6",X"2",X"0",X"4",X"C",X"C",X"C",X"C",X"8",X"8",X"E",X"F",X"F",X"F"),
(X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"7",X"6",X"D",X"6",X"1",X"C",X"C",X"9",X"7",X"B",X"F",X"F",X"F",X"F",X"F"),
(X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"C",X"7",X"B",X"C",X"A",X"9",X"8",X"A",X"E",X"F",X"F",X"F",X"F",X"F",X"F"),
(X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"B",X"7",X"7",X"9",X"D",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F",X"F")
);

begin 
 process (clk)
begin
if rising_edge(clk) then
dataout<= ball(h_addr)(v_addr);
end if;
end process;	
end rom; 
