library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
entity xiaoyun2_rom is

  port (
  clk : in std_logic;
  h_addr: in integer; 
  v_addr: in integer;
  dataout: out unsigned (3 downto 0)
  );
  end xiaoyun2_rom;
architecture rom of xiaoyun2_rom is
	type xiaoyun2_row is array(0 to 33) of unsigned(3 downto 0);
	type xiaoyun2_column is array(0 to 57) of xiaoyun2_row; 
constant xiaoyun2 : xiaoyun2_column:=(



(X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"e",X"e",X"e",X"f",X"c",X"7",X"4",X"4",X"4",X"4",X"7",X"d",X"f",X"e",X"e",X"e",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"f",X"e",X"b",X"7",X"4",X"6",X"7",X"7",X"9",X"7",X"7",X"6",X"7",X"b",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"b",X"6",X"4",X"7",X"b",X"c",X"d",X"d",X"d",X"d",X"d",X"c",X"b",X"9",X"7",X"b",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"e",X"f",X"e",X"7",X"4",X"9",X"c",X"d",X"d",X"d",X"c",X"c",X"c",X"d",X"c",X"d",X"d",X"d",X"c",X"7",X"6",X"c",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"e",X"f",X"d",X"6",X"6",X"c",X"e",X"e",X"e",X"e",X"d",X"d",X"c",X"d",X"c",X"c",X"d",X"c",X"c",X"d",X"d",X"9",X"4",X"b",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"e",X"6",X"9",X"e",X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"e",X"d",X"d",X"d",X"d",X"d",X"c",X"c",X"c",X"d",X"9",X"4",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f"),
(X"e",X"f",X"f",X"7",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"f",X"e",X"d",X"d",X"d",X"d",X"c",X"d",X"d",X"c",X"d",X"7",X"4",X"c",X"f",X"e",X"f",X"f",X"f",X"f"),
(X"e",X"f",X"b",X"6",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"e",X"c",X"d",X"d",X"d",X"d",X"d",X"c",X"d",X"c",X"4",X"7",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"e",X"f",X"6",X"b",X"f",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"d",X"7",X"4",X"c",X"f",X"e",X"f",X"f",X"f"),
(X"f",X"c",X"4",X"d",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"c",X"d",X"d",X"d",X"d",X"d",X"c",X"d",X"b",X"4",X"b",X"f",X"e",X"e",X"f",X"f"),
(X"f",X"b",X"6",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"4",X"7",X"b",X"e",X"f",X"f",X"f"),
(X"f",X"9",X"6",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"d",X"c",X"d",X"d",X"d",X"d",X"d",X"c",X"d",X"9",X"6",X"4",X"4",X"b",X"f",X"e"),
(X"f",X"7",X"6",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"a",X"e",X"c",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"7",X"6",X"e",X"f"),
(X"f",X"7",X"7",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"2",X"e",X"c",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"c",X"d",X"c",X"4",X"c",X"f"),
(X"f",X"7",X"7",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"8",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"d",X"c",X"4",X"c",X"f"),
(X"f",X"9",X"6",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"5",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"b",X"4",X"e",X"f"),
(X"f",X"b",X"4",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"5",X"e",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"b",X"4",X"7",X"f",X"f"),
(X"f",X"d",X"4",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"8",X"d",X"c",X"c",X"d",X"d",X"d",X"d",X"d",X"d",X"c",X"6",X"4",X"c",X"f",X"e"),
(X"f",X"f",X"6",X"6",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"2",X"e",X"e",X"e",X"d",X"d",X"c",X"c",X"d",X"d",X"d",X"d",X"d",X"7",X"6",X"d",X"f"),
(X"e",X"f",X"b",X"4",X"b",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"a",X"0",X"a",X"f",X"f",X"e",X"f",X"e",X"d",X"c",X"d",X"d",X"d",X"c",X"d",X"d",X"6",X"7",X"f"),
(X"f",X"e",X"6",X"4",X"7",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"d",X"d",X"d",X"d",X"d",X"c",X"d",X"b",X"4",X"c"),
(X"e",X"6",X"9",X"d",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"f",X"e",X"c",X"d",X"d",X"c",X"c",X"d",X"c",X"6",X"7"),
(X"b",X"7",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"3",X"5",X"f",X"f",X"f",X"f",X"e",X"c",X"d",X"d",X"d",X"c",X"d",X"d",X"7",X"4"),
(X"6",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"5",X"8",X"2",X"a",X"f",X"f",X"f",X"e",X"c",X"d",X"d",X"d",X"c",X"d",X"d",X"7",X"4"),
(X"6",X"e",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"8",X"f",X"f",X"f",X"e",X"c",X"d",X"d",X"d",X"c",X"d",X"d",X"7",X"4"),
(X"7",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"a",X"1",X"e",X"f",X"f",X"f",X"d",X"c",X"d",X"d",X"d",X"c",X"c",X"d",X"6",X"4"),
(X"7",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"5",X"f",X"f",X"f",X"f",X"e",X"e",X"d",X"d",X"d",X"d",X"d",X"c",X"6",X"9"),
(X"6",X"e",X"e",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"2",X"3",X"f",X"f",X"f",X"f",X"e",X"f",X"e",X"d",X"d",X"d",X"c",X"d",X"b",X"4",X"c"),
(X"4",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"2",X"a",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"d",X"d",X"c",X"d",X"7",X"7",X"f"),
(X"9",X"6",X"b",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"2",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"d",X"c",X"d",X"c",X"4",X"b",X"f"),
(X"f",X"9",X"4",X"c",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"2",X"e",X"f",X"f",X"f",X"f",X"e",X"d",X"d",X"c",X"d",X"b",X"4",X"e",X"f"),
(X"f",X"7",X"7",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"1",X"e",X"f",X"f",X"f",X"f",X"d",X"d",X"d",X"d",X"d",X"6",X"9",X"f",X"e"),
(X"e",X"6",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"5",X"3",X"2",X"f",X"f",X"f",X"f",X"d",X"c",X"c",X"d",X"c",X"6",X"6",X"e",X"f",X"e"),
(X"c",X"6",X"e",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"5",X"0",X"2",X"a",X"f",X"f",X"e",X"f",X"e",X"d",X"c",X"d",X"c",X"6",X"7",X"f",X"e",X"e"),
(X"d",X"6",X"6",X"6",X"d",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"d",X"d",X"c",X"d",X"c",X"4",X"c",X"f",X"e"),
(X"f",X"e",X"6",X"9",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"d",X"c",X"d",X"c",X"d",X"7",X"7",X"f",X"e"),
(X"f",X"e",X"7",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"d",X"c",X"d",X"c",X"d",X"b",X"6",X"e",X"f"),
(X"f",X"b",X"7",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"3",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"d",X"c",X"d",X"c",X"d",X"b",X"4",X"d",X"f"),
(X"f",X"7",X"b",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"2",X"5",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"d",X"d",X"c",X"d",X"b",X"4",X"d",X"f"),
(X"f",X"6",X"c",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"5",X"3",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"c",X"d",X"d",X"c",X"d",X"b",X"4",X"d",X"f"),
(X"e",X"6",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"3",X"f",X"f",X"e",X"e",X"f",X"f",X"d",X"d",X"d",X"d",X"c",X"d",X"9",X"4",X"e",X"f"),
(X"d",X"6",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"3",X"f",X"f",X"f",X"f",X"f",X"d",X"c",X"d",X"c",X"d",X"c",X"d",X"7",X"7",X"f",X"f"),
(X"c",X"4",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"5",X"3",X"f",X"f",X"f",X"e",X"d",X"c",X"d",X"c",X"d",X"d",X"d",X"c",X"4",X"b",X"f",X"e"),
(X"c",X"4",X"d",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"5",X"f",X"f",X"e",X"c",X"c",X"d",X"d",X"d",X"d",X"c",X"d",X"9",X"4",X"e",X"f",X"e"),
(X"c",X"4",X"c",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"5",X"0",X"a",X"f",X"f",X"e",X"c",X"d",X"d",X"d",X"d",X"c",X"d",X"b",X"4",X"b",X"f",X"e",X"f"),
(X"e",X"4",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"f",X"f",X"e",X"f",X"e",X"c",X"c",X"c",X"d",X"d",X"9",X"4",X"b",X"f",X"e",X"f",X"e"),
(X"f",X"6",X"6",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"d",X"d",X"b",X"6",X"4",X"b",X"f",X"e",X"f",X"f",X"f"),
(X"f",X"9",X"4",X"c",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"d",X"b",X"7",X"6",X"9",X"e",X"f",X"e",X"f",X"f",X"f",X"f"),
(X"f",X"c",X"4",X"7",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"7",X"7",X"f",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"7",X"4",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"e",X"9",X"6",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"e",X"f",X"c",X"4",X"7",X"f",X"f",X"f",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"b",X"6",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"e",X"e",X"f",X"9",X"4",X"c",X"f",X"e",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"9",X"6",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"6",X"9",X"f",X"e",X"e",X"e",X"f",X"e",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"6",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"e",X"f",X"7",X"b",X"f",X"e",X"f",X"c",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"9",X"4",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"e",X"6",X"c",X"f",X"e",X"f",X"c",X"4",X"c",X"f",X"e",X"e",X"e",X"e",X"e",X"f",X"f",X"d",X"9",X"4",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"7",X"7",X"b",X"b",X"9",X"7",X"4",X"4",X"b",X"e",X"f",X"f",X"f",X"f",X"e",X"b",X"6",X"4",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"e",X"7",X"6",X"6",X"6",X"7",X"9",X"9",X"4",X"6",X"b",X"d",X"e",X"b",X"6",X"4",X"7",X"d",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"e",X"f",X"e",X"f",X"c",X"9",X"6",X"6",X"6",X"4",X"7",X"c",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f")



);
begin 
 process (clk)
	begin
		if rising_edge(clk) then
				dataout<= xiaoyun2(h_addr)(v_addr);
		end if;
	end process;	
end rom; 
