library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;
entity xiaoyun3_rom is

  port (
  clk : in std_logic;
  h_addr: in integer; 
  v_addr: in integer;
  dataout: out unsigned (3 downto 0)
  );
  end xiaoyun3_rom;
architecture rom of xiaoyun3_rom is
	type xiaoyun3_row is array(0 to 33) of unsigned(3 downto 0);
	type xiaoyun3_column is array(0 to 57) of xiaoyun3_row; 
constant xiaoyun3 : xiaoyun3_column:=(


(X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"e",X"f",X"d",X"6",X"2",X"2",X"2",X"2",X"9",X"e",X"f",X"e",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"f",X"e",X"9",X"4",X"2",X"2",X"4",X"6",X"6",X"6",X"4",X"4",X"6",X"b",X"f",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"e",X"e",X"f",X"9",X"4",X"2",X"4",X"9",X"b",X"d",X"d",X"d",X"d",X"d",X"b",X"9",X"6",X"6",X"b",X"f",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"e",X"f",X"e",X"6",X"2",X"6",X"b",X"d",X"d",X"d",X"d",X"b",X"b",X"b",X"a",X"7",X"7",X"c",X"9",X"4",X"6",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"e",X"f",X"d",X"4",X"4",X"b",X"e",X"e",X"d",X"d",X"d",X"d",X"b",X"b",X"b",X"7",X"7",X"7",X"7",X"d",X"d",X"6",X"2",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"e",X"4",X"6",X"e",X"f",X"e",X"e",X"f",X"f",X"f",X"e",X"d",X"b",X"a",X"7",X"7",X"7",X"7",X"d",X"b",X"d",X"6",X"2",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f"),
(X"e",X"f",X"f",X"4",X"6",X"f",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"e",X"f",X"e",X"a",X"7",X"7",X"7",X"7",X"d",X"b",X"d",X"d",X"4",X"2",X"d",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"e",X"f",X"9",X"4",X"f",X"e",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"c",X"7",X"7",X"7",X"7",X"d",X"d",X"b",X"d",X"9",X"2",X"6",X"f",X"e",X"e",X"f",X"f",X"f"),
(X"f",X"f",X"4",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"7",X"7",X"7",X"7",X"d",X"d",X"d",X"d",X"d",X"4",X"2",X"e",X"f",X"e",X"f",X"f",X"f"),
(X"f",X"b",X"2",X"d",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"7",X"7",X"7",X"c",X"d",X"d",X"d",X"b",X"d",X"9",X"2",X"b",X"f",X"e",X"e",X"f",X"f"),
(X"f",X"6",X"4",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"c",X"c",X"d",X"d",X"d",X"d",X"d",X"d",X"9",X"2",X"6",X"b",X"e",X"f",X"f",X"f"),
(X"f",X"6",X"4",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"f",X"f",X"f",X"f",X"d",X"a",X"d",X"d",X"d",X"d",X"d",X"d",X"b",X"6",X"4",X"2",X"4",X"c",X"f",X"e"),
(X"f",X"6",X"6",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"1",X"f",X"f",X"f",X"3",X"0",X"a",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"b",X"4",X"4",X"f",X"e"),
(X"f",X"4",X"6",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"0",X"8",X"f",X"e",X"0",X"0",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"b",X"d",X"9",X"2",X"e",X"f"),
(X"f",X"4",X"6",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"0",X"1",X"f",X"3",X"0",X"3",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"b",X"b",X"d",X"9",X"2",X"e",X"f"),
(X"f",X"6",X"4",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"0",X"f",X"1",X"0",X"a",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"b",X"d",X"d",X"6",X"2",X"e",X"f"),
(X"f",X"9",X"2",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"0",X"3",X"0",X"1",X"d",X"d",X"d",X"d",X"d",X"d",X"d",X"b",X"d",X"b",X"9",X"2",X"6",X"f",X"e"),
(X"f",X"b",X"2",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"0",X"0",X"0",X"a",X"d",X"b",X"b",X"d",X"d",X"d",X"d",X"d",X"d",X"9",X"2",X"2",X"c",X"f",X"e"),
(X"f",X"e",X"4",X"4",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"0",X"1",X"f",X"e",X"e",X"d",X"d",X"b",X"d",X"d",X"d",X"d",X"d",X"b",X"4",X"4",X"e",X"f"),
(X"e",X"f",X"6",X"2",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"1",X"8",X"f",X"f",X"f",X"f",X"e",X"d",X"b",X"d",X"d",X"d",X"b",X"d",X"b",X"2",X"9",X"f"),
(X"f",X"e",X"4",X"2",X"6",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"e",X"d",X"b",X"d",X"d",X"d",X"b",X"d",X"6",X"2",X"e"),
(X"f",X"4",X"6",X"b",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"f",X"d",X"b",X"d",X"d",X"d",X"d",X"d",X"b",X"2",X"9"),
(X"9",X"4",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"e",X"b",X"d",X"d",X"d",X"d",X"d",X"b",X"4",X"4"),
(X"4",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"8",X"8",X"8",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"b",X"d",X"d",X"d",X"d",X"d",X"d",X"4",X"2"),
(X"4",X"e",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"0",X"1",X"1",X"1",X"1",X"8",X"f",X"f",X"f",X"d",X"b",X"d",X"d",X"d",X"b",X"d",X"d",X"4",X"2"),
(X"6",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"1",X"7",X"7",X"7",X"7",X"0",X"3",X"f",X"e",X"d",X"b",X"d",X"d",X"d",X"d",X"d",X"b",X"4",X"4"),
(X"6",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"0",X"7",X"7",X"7",X"7",X"5",X"0",X"8",X"f",X"e",X"d",X"b",X"d",X"d",X"d",X"d",X"9",X"2",X"9"),
(X"4",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"7",X"7",X"7",X"7",X"7",X"1",X"3",X"f",X"f",X"e",X"d",X"b",X"d",X"b",X"d",X"6",X"4",X"e"),
(X"2",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"7",X"7",X"7",X"7",X"7",X"1",X"1",X"f",X"f",X"e",X"d",X"d",X"d",X"b",X"d",X"4",X"6",X"f"),
(X"6",X"4",X"b",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"1",X"7",X"7",X"7",X"7",X"7",X"1",X"1",X"f",X"f",X"e",X"d",X"d",X"d",X"d",X"b",X"2",X"b",X"f"),
(X"f",X"6",X"2",X"d",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"1",X"7",X"7",X"7",X"7",X"7",X"1",X"3",X"f",X"f",X"e",X"b",X"d",X"b",X"d",X"6",X"4",X"f",X"f"),
(X"f",X"4",X"4",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"1",X"7",X"7",X"7",X"7",X"5",X"0",X"f",X"f",X"f",X"d",X"d",X"d",X"d",X"d",X"2",X"9",X"f",X"e"),
(X"e",X"2",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"5",X"7",X"5",X"5",X"1",X"0",X"8",X"f",X"f",X"d",X"b",X"b",X"d",X"9",X"4",X"4",X"e",X"f",X"f"),
(X"9",X"4",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"3",X"1",X"1",X"1",X"3",X"f",X"f",X"f",X"f",X"e",X"b",X"d",X"d",X"9",X"2",X"9",X"f",X"e",X"f"),
(X"b",X"2",X"4",X"6",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"d",X"b",X"d",X"9",X"4",X"e",X"f",X"e"),
(X"f",X"c",X"4",X"6",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"d",X"d",X"d",X"b",X"d",X"4",X"9",X"f",X"e"),
(X"f",X"e",X"4",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"d",X"d",X"d",X"b",X"d",X"6",X"4",X"f",X"e"),
(X"f",X"9",X"6",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"1",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"d",X"d",X"d",X"b",X"d",X"6",X"4",X"f",X"f"),
(X"f",X"6",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"0",X"0",X"3",X"f",X"f",X"f",X"f",X"e",X"f",X"e",X"d",X"d",X"d",X"b",X"d",X"9",X"2",X"e",X"f"),
(X"f",X"4",X"b",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"0",X"0",X"3",X"f",X"f",X"f",X"f",X"e",X"f",X"e",X"b",X"d",X"d",X"b",X"d",X"6",X"2",X"e",X"f"),
(X"e",X"4",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"0",X"0",X"0",X"0",X"f",X"f",X"f",X"f",X"f",X"e",X"d",X"d",X"d",X"d",X"b",X"d",X"6",X"4",X"f",X"f"),
(X"d",X"4",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"1",X"0",X"8",X"3",X"0",X"8",X"f",X"f",X"f",X"f",X"d",X"b",X"d",X"d",X"d",X"d",X"d",X"4",X"6",X"f",X"e"),
(X"b",X"4",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"3",X"0",X"3",X"f",X"8",X"0",X"3",X"f",X"f",X"e",X"d",X"b",X"d",X"d",X"d",X"b",X"d",X"9",X"2",X"b",X"f",X"e"),
(X"9",X"2",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"0",X"1",X"f",X"f",X"f",X"0",X"0",X"f",X"e",X"d",X"b",X"d",X"d",X"d",X"d",X"b",X"d",X"6",X"4",X"f",X"e",X"f"),
(X"b",X"2",X"d",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"8",X"f",X"f",X"f",X"f",X"3",X"0",X"8",X"e",X"b",X"d",X"d",X"b",X"b",X"b",X"d",X"9",X"2",X"b",X"f",X"e",X"f"),
(X"c",X"2",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"d",X"b",X"b",X"b",X"d",X"d",X"6",X"2",X"9",X"f",X"e",X"f",X"f"),
(X"e",X"4",X"6",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"c",X"c",X"e",X"f",X"f",X"e",X"d",X"d",X"d",X"9",X"4",X"2",X"b",X"f",X"e",X"f",X"f",X"f"),
(X"f",X"6",X"2",X"c",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"7",X"7",X"7",X"f",X"f",X"e",X"b",X"9",X"6",X"4",X"6",X"e",X"f",X"e",X"f",X"f",X"f",X"f"),
(X"f",X"b",X"2",X"6",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"f",X"c",X"7",X"7",X"7",X"c",X"f",X"e",X"d",X"4",X"6",X"f",X"e",X"f",X"e",X"e",X"f",X"f",X"f",X"f"),
(X"f",X"e",X"4",X"2",X"c",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"7",X"7",X"7",X"7",X"c",X"f",X"e",X"e",X"6",X"6",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"e",X"f",X"9",X"2",X"6",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"7",X"7",X"7",X"7",X"c",X"f",X"e",X"e",X"6",X"4",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"e",X"f",X"f",X"6",X"2",X"d",X"f",X"f",X"f",X"f",X"e",X"f",X"f",X"f",X"f",X"7",X"7",X"7",X"7",X"c",X"f",X"e",X"d",X"6",X"6",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"e",X"4",X"6",X"f",X"e",X"f",X"f",X"f",X"e",X"f",X"f",X"f",X"7",X"7",X"7",X"7",X"c",X"f",X"e",X"b",X"2",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"4",X"9",X"f",X"e",X"f",X"b",X"b",X"f",X"e",X"e",X"f",X"c",X"7",X"7",X"7",X"f",X"e",X"d",X"6",X"4",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"e",X"4",X"b",X"f",X"e",X"f",X"9",X"4",X"e",X"f",X"e",X"e",X"f",X"c",X"c",X"e",X"f",X"d",X"6",X"2",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"e",X"f",X"e",X"4",X"6",X"b",X"9",X"9",X"6",X"2",X"2",X"b",X"f",X"e",X"f",X"f",X"f",X"f",X"b",X"4",X"2",X"9",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"b",X"4",X"2",X"2",X"2",X"4",X"6",X"4",X"2",X"6",X"b",X"e",X"e",X"9",X"6",X"2",X"4",X"c",X"f",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f"),
(X"f",X"f",X"f",X"f",X"f",X"f",X"e",X"e",X"e",X"f",X"f",X"e",X"9",X"6",X"4",X"4",X"4",X"2",X"4",X"9",X"f",X"f",X"e",X"e",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f",X"f")


);
begin 
 process (clk)
	begin
		if rising_edge(clk) then
				dataout<= xiaoyun3(h_addr)(v_addr);
		end if;
	end process;	
end rom; 
